Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 98996 - abilitly to profiles/.../use.mask single packages needed
Summary: abilitly to profiles/.../use.mask single packages needed
Status: VERIFIED LATER
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-14 05:36 UTC by Carsten Lohrke (RETIRED)
Modified: 2007-01-12 07:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carsten Lohrke (RETIRED) gentoo-dev 2005-07-14 05:36:38 UTC
As pointed out in Bug 98465, the missing functionality to use.mask single packages on single architectures leads to unreasonable use flag additions, limiting the usability of portage.
Comment 1 Carsten Lohrke (RETIRED) gentoo-dev 2005-07-18 09:10:35 UTC
Since geoman mentioned it would be unclear what I want to propose...

I assumed it would be natural to extend the use.mask files in the following way:

foo       would still mean to mask use flag foo for the specific profile
foo:cat1/pkg1,cat2,pkg2,...      would mask single flag|pkg combinations
Comment 2 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2005-07-18 15:47:09 UTC
I'd rather see a package.use.mask rather than use.mask for this, although any 
support would be good ;) package.use.mask compliments package.use IMHO.
Comment 3 SpanKY gentoo-dev 2005-07-18 17:05:26 UTC
we're talking about profiles here, not local /etc/portage/ ...

considering we already use the 'use.mask' name in profiles, no point in changing
it now
Comment 4 Jason Stubbs (RETIRED) gentoo-dev 2005-07-28 07:25:05 UTC
Putting a hold on feature requests for portage as they are drowning out the 
bugs. Most of these features should be available in the next major version of 
portage. But for the time being, they are just drowning out the major bugs and 
delaying the next version's progress. 
 
Any bugs that contain patches and any bugs for etc-update or dispatch-conf can 
be reopened. Sorry, I'm just not good enough with bugzilla. ;) 
Comment 5 Marius Mauch (RETIRED) gentoo-dev 2007-01-12 06:18:22 UTC
Fixed by now
Comment 6 Zac Medico gentoo-dev 2007-01-12 07:25:06 UTC
>=portage-2.1.1 has support for use.force, package.use.force, and package.use.mask.  The behavior has changed slightly in 2.1.2 for bug #151586.